
Summary: Eliminates duplicate mail messages
Name: eliminate-dups
Version: 2.2
Release: 2.art
License: GPL
Group: Networking/Daemons
Source: http://www.gormand.com.au/peters/tools/qmail/%{name}-%{version}.tar.gz
URL: http://www.gormand.com.au/peters/tools/qmail/
Patch0: anydb.patch
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
Provides: eliminate-dups
Requires: perl >= 5
AutoReqProv: no

%description
eliminate-dups fingerprints incoming mail messages and compares the
fingerprint to previously determined values. If a match is found,
delivery of the message is cancelled.


%prep
%setup
%patch0 -p1

%build
cp Makefile.dist Makefile
make -f Makefile.dist

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1

%{__install}  -m0755 eliminate-dups $RPM_BUILD_ROOT/usr/bin/
%{__install}  -m0644 eliminate-dups.1 $RPM_BUILD_ROOT/usr/share/man/man1/


# Work around Redhat's insistence on compressing and stripping files
#%define __os_install_post %{nil}
#make BIN=./root/usr/bin MAN=./root/usr/share/man install
#(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

# Merge the documentation under a single directory. RedHat 7.x uses
# /usr/share/doc for its doc files.

#mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}-%{release}
#cp COPYING ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}-%{release}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /usr/bin/eliminate-dups
%attr(644,root,root) /usr/share/man/man1/eliminate-dups.1
%doc COPYING README CHANGES UPGRADING

%changelog

* Wed Jan 10 2007 Scott R. Shinn <scott@atomicrocketturtle.com>
- updated to build on newer distros
- cleaned up the spec file

* Tue Jan 27 2004 Peter Samuel <peters@gormand.com.au>
- [2.2-01]
- Now gracefully uses one of Digest::MD5, MD5 or unpack()
- can now specify strict checking on command line
- catches corner case where contents of different headers in subsequent
  messages match previous message
- code clean up
- formally released under GPL

* Tue May 22 2001 Peter Samuel <peters@gormand.com.au>
- [2.1-01]
- Initial release as an RPM
- complete rewrite
- performs file locking to ensure serial updates
- uses modular header extraction routine
- uses NDBM_File and tie() instead of dbmopen()
- now has a man page

* Wed Jan  6 1999 Peter Samuel <peters@gormand.com.au>
- [1.2]
- modified Russ Nelson's original code to use hash (dbm) files.
- Incorporated some ideas from Fred Lindberg and Stuart Cooper.

* Thu Jan  1 1998 Peter Samuel <peters@gormand.com.au>
- [1.1]
- Actual release date is unknown. Probably sometime in 1998.
- initial release by Russ Nelson
